com.microfocus.zserver.zexplorer

## Class MVSUtility

- java.lang.Object
- - com.microfocus.zserver.zexplorer.MVSUtility

-     public class MVSUtility
      extends java.lang.Object

  Contents severals helpers methods to handle in MVS Explorer.
  Author:
    PrudenceB

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MVSUtility()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `deleteList(java.lang.String pDelListStr, ISystemImage pSystemImage, org.eclipse.core.runtime.IProgressMonitor pMonitor)` Deletes the given list of data sets on the remote system
    `static IMvsDataset` | `getDataSetFromMFADatasetKey(MvsSubsystem pMvsSubSystem, java.util.Map<java.lang.String,java.lang.String> pMFADataSetAttributes)` Gets an `MvsDataset` either by getting an existing one from the `MvsDataSetDirectory` or creating a new one.
    `static java.util.List<IMvsDatasetMember>` | `getMembers(java.lang.String pDSN, java.lang.String pMemFilter, boolean pReadISPFStatistics, ZExplorerConnectorService pConnectorService, org.eclipse.core.runtime.IProgressMonitor pMon)` Gets the list of `IMvsDatasetMember` on the remote system from a data set and member filter.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MVSUtility

          public MVSUtility()

  - ### Method Detail

    - #### getMembers

          public static java.util.List<IMvsDatasetMember> getMembers(java.lang.String pDSN,
                                                                     java.lang.String pMemFilter,
                                                                     boolean pReadISPFStatistics,
                                                                     ZExplorerConnectorService pConnectorService,
                                                                     org.eclipse.core.runtime.IProgressMonitor pMon)
                                                              throws java.lang.Exception

      Gets the list of `IMvsDatasetMember` on the remote system from a data set and member filter.
      Parameters:
        `pDSN` - a data set name or filter
        `pMemFilter` - a member name or filter (can be null)
        `pReadISPFStatistics` - whether ISPF statistics shall be returned
        `pConnectorService` - the connector system
        `pMon` - the progress monitor
      Returns:
        the list of found members
      Throws:
        `java.lang.Exception` - if any kind of exception occurs during holding of member on the remote system or parsing the response.

    - #### getDataSetFromMFADatasetKey

          public static IMvsDataset getDataSetFromMFADatasetKey(MvsSubsystem pMvsSubSystem,
                                                                java.util.Map<java.lang.String,java.lang.String> pMFADataSetAttributes)

      Gets an `MvsDataset` either by getting an existing one from the `MvsDataSetDirectory` or creating a new one.
      Parameters:
        `pMvsSubSystem` - the sub system
        `pMFADataSetAttributes` - the data set attributes
      Returns:
        an `MvsDataset` or `null` if the attribute `MFAFacility#DATASET_NAME` cannot be found in the given data set attributes

    - #### deleteList

          public static java.lang.String deleteList(java.lang.String pDelListStr,
                                                    ISystemImage pSystemImage,
                                                    org.eclipse.core.runtime.IProgressMonitor pMonitor)
                                             throws java.io.IOException

      Deletes the given list of data sets on the remote system
      Parameters:
        `pDelListStr` - the list of data set names to be deleted on the remote system
        `pSystemImage` - the system image
        `pMonitor` - the progress monitor
      Returns:
        the response from the remote command sender
      Throws:
        `java.io.IOException` - if any I/O exception occurs or deleting the list of data sets returned a bad return code

Copyright © 2015 Micro Focus GmbH. All rights reserved.